Bug 5796 - Samba 3.2.4/MS Win95 connectivity problems
Samba 3.2.4/MS Win95 connectivity problems
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Client tools
3.2.4
x86 Linux
: P3 trivial
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-26 06:45 UTC by David F. Symes
Modified: 2008-09-30 11:51 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David F. Symes 2008-09-26 06:45:09 UTC
I run a heterogeneous local network at home; some of the machines run Linux, while others run various vintages of Microsoft systems. For the purposes of the present issue, only three machines are involved, which are:

PAPYRUS - 1.4 GHz AMD Athlon-based system currently running SuSE Linux 9.3 Professional (which contains Samba 3.0.12-5-SUSE);
WOOLWINDER - 1 GHz Intel Pentium 3-based system currently running OpenSuSE 11.0 (with locally-built Samba 3.2.4);
IMPALA - Toshiba Satellite 210CS laptop/notebook currently running MS Windows 95 4.00.950 B.

It seems that there are issues with connecting the latest Samba release (3.2.4) to older MS Windows systems - issues which the older Samba (3.0.12-5-SUSE) does not have. It may be that a conscious decision has been made to drop support for the older MS systems, but I can find no formal announcement saying that Samba has done this.

An attempt to interrogate IMPALA (MS Win95) from WOOLWINDER (OpenSuSE 11.0, Samba 3.2.4) gives an error, though the interrogation seems to work (screen layout not as given here):

smbclient -L IMPALA

Sharename        Type            Comment
---------        ----            -------

cli_rpc_pipe_open: cli_nt failed on pipe \svrsvc to machine IMPALA. Error was ERRSRV-ERRerror (Non-specific error code.)

CDRIVE           Disk            IMPALA_C_DRIVE
IPC$             IPC             Remote Inter Process Communication

Server           Comment
------           -------

Workgroup        Master
---------        ------

An attempt to interact with WOOLWINDER (Samba 3.2.4) from IMPALA (MS Win95) failed due to an apparent password problem - the machine was correctly found by the "Find Computer" function, but an attempt to explore it produced a dialogue box asking for an access password. Neither root/Administrator's password nor the normal user password was any good, and access was denied.

By contrast, any traffic between WOOLWINDER (Samba 3.2.4) and PAPYRUS (Samba 3.0.12-5-SUSE; both SuSE/OpenSuSE Linux systems, albeit of different generations) proceeded without problems, as did any traffic between PAPYRUS (Samba 3.0.12-5-SUSE) and IMPALA (MS Win95); in this latter case the password held by Win95 was automatically accepted, as no prompt was encountered. The earlier Samba seems able to work with both its later self and with the MS system, but the latest Samba has lost the easy connectivity with MS Win95 - this of course disables both file sharing and remote printing via CUPS, so is not a trivial matter.

I have set "client lanman auth = yes" in smb.conf, as it seems that this is required for successful MS Win95 working - but in my experience, this is insufficient. Have I overlooked something, or is there a bug here?

Any guidance most gratefully accepted!
Comment 1 David F. Symes 2008-09-26 09:13:46 UTC
N.B. In above text, "cli_nt failed on pipe" should be "cli_nt_create failed on pipe". I apologise for this error.
Comment 2 Jeremy Allison 2008-09-26 14:16:39 UTC
Can you post a capture trace and debug level 10 log from smbd when the Win9x box please.
Thanks,
Jeremy.
Comment 3 David F. Symes 2008-09-27 07:11:07 UTC
Further investigations, involving two additional systems (one running MS Windows NT 4.0 Workstation with SP6a and post-SP6a security rollup package, and one running MS Windows 2000 Professional with SP4), have established that the NT-based systems do not suffer from any problems - this is a considerable relief!

Below is a logfile of a transaction attempted from IMPALA (Win95) to WOOLWINDER (Samba 3.2.4), as requested; apologies for the length of it, but I am new to debugging on these systems. If you can tell me more precise parameters for smb.conf (or whatever else) to capture exactly what you really want, I can run it again.

Below the debug information is a copy of my smb.conf file.

Debug information starts:
[2008/09/27 11:11:35,  2, pid=12504] lib/access.c:check_access(406)
  Allowed connection from IMPALA.WEEBLES (192.168.2.7)
[2008/09/27 11:11:35,  6, pid=12504] smbd/process.c:process_smb(1546)
  got message type 0x81 of len 0x44
[2008/09/27 11:11:35,  3, pid=12504] smbd/process.c:process_smb(1549)
  Transaction 0 of length 72 (0 toread)
[2008/09/27 11:11:35,  2, pid=12504] smbd/reply.c:reply_special(425)
  netbios connect: name1=WOOLWINDER      name2=IMPALA         
[2008/09/27 11:11:35,  2, pid=12504] smbd/reply.c:reply_special(432)
  netbios connect: local=woolwinder remote=impala, name type = 0
[2008/09/27 11:11:35,  6, pid=12504] param/loadparm.c:lp_file_list_changed(6700)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Sat Sep 27 11:09:27 2008
  
[2008/09/27 11:11:35,  5, pid=12504] smbd/reply.c:reply_special(472)
  init msg_type=0x81 msg_flags=0x0
[2008/09/27 11:11:35, 10, pid=12504] lib/util_sock.c:read_smb_length_return_keepalive(1118)
  got smb length of 154
[2008/09/27 11:11:35,  3, pid=12504] lib/access.c:only_ipaddrs_in_list(362)
  only_ipaddrs_in_list: list has non-ip address (192.168.2.)
[2008/09/27 11:11:35,  3, pid=12504] lib/access.c:check_access(396)
  check_access: hostnames in host allow/deny list.
[2008/09/27 11:11:35,  2, pid=12504] lib/access.c:check_access(406)
  Allowed connection from IMPALA.WEEBLES (192.168.2.7)
[2008/09/27 11:11:35,  6, pid=12504] smbd/process.c:process_smb(1546)
  got message type 0x0 of len 0x9a
[2008/09/27 11:11:35,  3, pid=12504] smbd/process.c:process_smb(1549)
  Transaction 0 of length 158 (0 toread)
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:show_msg(642)
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:show_msg(652)
  size=154
  smb_com=0x72
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=0
  smb_flg2=0
  smb_tid=0
  smb_pid=7617
  smb_uid=0
  smb_mid=3969
  smt_wct=0
  smb_bcc=119
[2008/09/27 11:11:35, 10, pid=12504] lib/util.c:dump_data(2223)
  [000] 02 50 43 20 4E 45 54 57  4F 52 4B 20 50 52 4F 47  .PC NETW ORK PROG
  [010] 52 41 4D 20 31 2E 30 00  02 4D 49 43 52 4F 53 4F  RAM 1.0. .MICROSO
  [020] 46 54 20 4E 45 54 57 4F  52 4B 53 20 33 2E 30 00  FT NETWO RKS 3.0.
  [030] 02 44 4F 53 20 4C 4D 31  2E 32 58 30 30 32 00 02  .DOS LM1 .2X002..
  [040] 44 4F 53 20 4C 41 4E 4D  41 4E 32 2E 31 00 02 57  DOS LANM AN2.1..W
  [050] 69 6E 64 6F 77 73 20 66  6F 72 20 57 6F 72 6B 67  indows f or Workg
  [060] 72 6F 75 70 73 20 33 2E  31 61 00 02 4E 54 20 4C  roups 3. 1a..NT L
  [070] 4D 20 30 2E 31 32 00                              M 0.12. 
[2008/09/27 11:11:35,  3, pid=12504] smbd/process.c:switch_message(1361)
  switch message SMBnegprot (pid 12504) conn 0x0
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:set_sec_ctx(324)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_nt_user_token(464)
  NT user token: (NULL)
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_unix_user_token(490)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2008/09/27 11:11:35,  5, pid=12504] smbd/uid.c:change_to_root_user(287)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2008/09/27 11:11:35,  5, pid=12504] lib/charcnv.c:charset_name(82)
  Substituting charset 'UTF-8' for LOCALE
[2008/09/27 11:11:35,  5, pid=12504] lib/charcnv.c:charset_name(82)
  Substituting charset 'UTF-8' for LOCALE
[2008/09/27 11:11:35,  5, pid=12504] lib/charcnv.c:charset_name(82)
  Substituting charset 'UTF-8' for LOCALE
[2008/09/27 11:11:35,  5, pid=12504] lib/charcnv.c:charset_name(82)
  Substituting charset 'UTF-8' for LOCALE
[2008/09/27 11:11:35,  5, pid=12504] lib/charcnv.c:charset_name(82)
  Substituting charset 'UTF-8' for LOCALE
[2008/09/27 11:11:35,  5, pid=12504] lib/charcnv.c:charset_name(82)
  Substituting charset 'UTF-8' for LOCALE
[2008/09/27 11:11:35,  5, pid=12504] lib/charcnv.c:charset_name(82)
  Substituting charset 'UTF-8' for LOCALE
[2008/09/27 11:11:35,  5, pid=12504] lib/charcnv.c:charset_name(82)
  Substituting charset 'UTF-8' for LOCALE
[2008/09/27 11:11:35,  5, pid=12504] lib/charcnv.c:charset_name(82)
  Substituting charset 'UTF-8' for LOCALE
[2008/09/27 11:11:35,  5, pid=12504] lib/charcnv.c:charset_name(82)
  Substituting charset 'UTF-8' for LOCALE
[2008/09/27 11:11:35,  5, pid=12504] lib/charcnv.c:charset_name(82)
  Substituting charset 'UTF-8' for LOCALE
[2008/09/27 11:11:35,  5, pid=12504] lib/charcnv.c:charset_name(82)
  Substituting charset 'UTF-8' for LOCALE
[2008/09/27 11:11:35,  3, pid=12504] smbd/negprot.c:reply_negprot(568)
  Requested protocol [PC NETWORK PROGRAM 1.0]
[2008/09/27 11:11:35,  3, pid=12504] smbd/negprot.c:reply_negprot(568)
  Requested protocol [MICROSOFT NETWORKS 3.0]
[2008/09/27 11:11:35,  3, pid=12504] smbd/negprot.c:reply_negprot(568)
  Requested protocol [DOS LM1.2X002]
[2008/09/27 11:11:35,  3, pid=12504] smbd/negprot.c:reply_negprot(568)
  Requested protocol [DOS LANMAN2.1]
[2008/09/27 11:11:35,  3, pid=12504] smbd/negprot.c:reply_negprot(568)
  Requested protocol [Windows for Workgroups 3.1a]
[2008/09/27 11:11:35,  3, pid=12504] smbd/negprot.c:reply_negprot(568)
  Requested protocol [NT LM 0.12]
[2008/09/27 11:11:35, 10, pid=12504] lib/util.c:set_remote_arch(2198)
  set_remote_arch: Client arch is 'Win95'
[2008/09/27 11:11:35,  6, pid=12504] param/loadparm.c:lp_file_list_changed(6700)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Sat Sep 27 11:09:27 2008
  
[2008/09/27 11:11:35,  5, pid=12504] smbd/connection.c:claim_connection(142)
  claiming []
[2008/09/27 11:11:35, 10, pid=12504] lib/dbwrap_tdb.c:db_tdb_fetch_locked(100)
  Locking key D8300000FFFFFFFF0000
[2008/09/27 11:11:35, 10, pid=12504] lib/dbwrap_tdb.c:db_tdb_fetch_locked(129)
  Allocated locked data 0x0xb7fb2b10
[2008/09/27 11:11:35, 10, pid=12504] lib/dbwrap_tdb.c:db_tdb_record_destr(42)
  Unlocking key D8300000FFFFFFFF0000
[2008/09/27 11:11:35,  6, pid=12504] param/loadparm.c:lp_file_list_changed(6700)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Sat Sep 27 11:09:27 2008
  
[2008/09/27 11:11:35, 10, pid=12504] smbd/negprot.c:get_challenge(43)
  get challenge: creating negprot_global_auth_context
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:make_auth_context_subsystem(491)
  Making default auth method list for standalone security=user, encrypt passwords = yes
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(46)
  Attempting to register auth backend sam
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(58)
  Successfully added auth method 'sam'
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(46)
  Attempting to register auth backend sam_ignoredomain
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(58)
  Successfully added auth method 'sam_ignoredomain'
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(46)
  Attempting to register auth backend unix
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(58)
  Successfully added auth method 'unix'
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(46)
  Attempting to register auth backend winbind
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(58)
  Successfully added auth method 'winbind'
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(46)
  Attempting to register auth backend smbserver
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(58)
  Successfully added auth method 'smbserver'
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(46)
  Attempting to register auth backend trustdomain
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(58)
  Successfully added auth method 'trustdomain'
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(46)
  Attempting to register auth backend ntdomain
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(58)
  Successfully added auth method 'ntdomain'
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(46)
  Attempting to register auth backend guest
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:smb_register_auth(58)
  Successfully added auth method 'guest'
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:load_auth_module(387)
  load_auth_module: Attempting to find an auth method to match guest
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:load_auth_module(412)
  load_auth_module: auth method guest has a valid init
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:load_auth_module(387)
  load_auth_module: Attempting to find an auth method to match sam
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:load_auth_module(412)
  load_auth_module: auth method sam has a valid init
[2008/09/27 11:11:35, 10, pid=12504] smbd/negprot.c:get_challenge(48)
  get challenge: getting challenge
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:get_ntlm_challenge(96)
  auth_get_challenge: module guest did not want to specify a challenge
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:get_ntlm_challenge(96)
  auth_get_challenge: module sam did not want to specify a challenge
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:get_ntlm_challenge(136)
  auth_context challenge created by random
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:get_ntlm_challenge(137)
  challenge is: 
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:dump_data(2223)
  [000] 93 2B 50 CD 42 BC 4F BB                           .+P.B.O. 
[2008/09/27 11:11:35,  3, pid=12504] smbd/negprot.c:reply_nt1(373)
  not using SPNEGO
[2008/09/27 11:11:35,  3, pid=12504] smbd/negprot.c:reply_negprot(673)
  Selected protocol NT LM 0.12
[2008/09/27 11:11:35,  5, pid=12504] smbd/negprot.c:reply_negprot(680)
  negprot index=5
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:show_msg(642)
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:show_msg(652)
  size=93
  smb_com=0x72
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=128
  smb_flg2=16385
  smb_tid=0
  smb_pid=7617
  smb_uid=0
  smb_mid=3969
  smt_wct=17
  smb_vwv[ 0]=    5 (0x5)
  smb_vwv[ 1]=12803 (0x3203)
  smb_vwv[ 2]=  256 (0x100)
  smb_vwv[ 3]= 1024 (0x400)
  smb_vwv[ 4]=   65 (0x41)
  smb_vwv[ 5]=    0 (0x0)
  smb_vwv[ 6]=  256 (0x100)
  smb_vwv[ 7]=55296 (0xD800)
  smb_vwv[ 8]=   48 (0x30)
  smb_vwv[ 9]=64768 (0xFD00)
  smb_vwv[10]=33011 (0x80F3)
  smb_vwv[11]=32768 (0x8000)
  smb_vwv[12]=60389 (0xEBE5)
  smb_vwv[13]=35179 (0x896B)
  smb_vwv[14]=51488 (0xC920)
  smb_vwv[15]=50177 (0xC401)
  smb_vwv[16]= 2303 (0x8FF)
  smb_bcc=8
[2008/09/27 11:11:35, 10, pid=12504] lib/util.c:dump_data(2223)
  [000] 93 2B 50 CD 42 BC 4F BB                           .+P.B.O. 
[2008/09/27 11:11:35, 10, pid=12504] lib/util_sock.c:read_smb_length_return_keepalive(1118)
  got smb length of 156
[2008/09/27 11:11:35,  6, pid=12504] smbd/process.c:process_smb(1546)
  got message type 0x0 of len 0x9c
[2008/09/27 11:11:35,  3, pid=12504] smbd/process.c:process_smb(1549)
  Transaction 1 of length 160 (0 toread)
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:show_msg(642)
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:show_msg(652)
  size=156
  smb_com=0x73
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=16
  smb_flg2=0
  smb_tid=0
  smb_pid=7617
  smb_uid=1
  smb_mid=3969
  smt_wct=13
  smb_vwv[ 0]=  117 (0x75)
  smb_vwv[ 1]=  122 (0x7A)
  smb_vwv[ 2]= 2920 (0xB68)
  smb_vwv[ 3]=   50 (0x32)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=12504 (0x30D8)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=   24 (0x18)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=    0 (0x0)
  smb_vwv[11]=    5 (0x5)
  smb_vwv[12]=    0 (0x0)
  smb_bcc=61
[2008/09/27 11:11:35, 10, pid=12504] lib/util.c:dump_data(2223)
  [000] DE B3 C8 EC 76 50 13 4D  1A 87 D4 20 58 D9 4D 04  ....vP.M ... X.M.
  [010] 82 3E D0 88 3C ED 0C 34  44 41 56 45 00 57 45 45  .>..<..4 DAVE.WEE
  [020] 42 4C 45 53 00 57 69 6E  64 6F 77 73 20 34 2E 30  BLES.Win dows 4.0
  [030] 00 57 69 6E 64 6F 77 73  20 34 2E 30 00           .Windows  4.0.
[2008/09/27 11:11:35,  3, pid=12504] smbd/process.c:switch_message(1361)
  switch message SMBsesssetupX (pid 12504) conn 0x0
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:set_sec_ctx(324)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_nt_user_token(464)
  NT user token: (NULL)
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_unix_user_token(490)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2008/09/27 11:11:35,  5, pid=12504] smbd/uid.c:change_to_root_user(287)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2008/09/27 11:11:35,  3, pid=12504] smbd/sesssetup.c:reply_sesssetup_and_X(1409)
  wct=13 flg2=0x0
[2008/09/27 11:11:35, 10, pid=12504] lib/util.c:set_remote_arch(2198)
  set_remote_arch: Client arch is 'Win95'
[2008/09/27 11:11:35,  3, pid=12504] smbd/sesssetup.c:reply_sesssetup_and_X(1608)
  Domain=[WEEBLES]  NativeOS=[Windows 4.0] NativeLanMan=[Windows 4.0] PrimaryDomain=[null]
[2008/09/27 11:11:35,  2, pid=12504] smbd/sesssetup.c:setup_new_vc_session(1363)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2008/09/27 11:11:35,  3, pid=12504] smbd/sesssetup.c:reply_sesssetup_and_X(1624)
  sesssetupX:name=[WEEBLES]\[DAVE]@[impala]
[2008/09/27 11:11:35,  6, pid=12504] param/loadparm.c:lp_file_list_changed(6700)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Sat Sep 27 11:09:27 2008
  
[2008/09/27 11:11:35,  4, pid=12504] smbd/map_username.c:map_username(145)
  Scanning username map /etc/samba/smbusers
[2008/09/27 11:11:35, 10, pid=12504] smbd/password.c:user_in_list(504)
  user_in_list: checking user DAVE in list
[2008/09/27 11:11:35, 10, pid=12504] smbd/password.c:user_in_list(509)
  user_in_list: checking user |DAVE| against |Administrator|
[2008/09/27 11:11:35, 10, pid=12504] smbd/password.c:user_in_list(504)
  user_in_list: checking user DAVE in list
[2008/09/27 11:11:35, 10, pid=12504] smbd/password.c:user_in_list(509)
  user_in_list: checking user |DAVE| against |Dave|
[2008/09/27 11:11:35,  3, pid=12504] smbd/map_username.c:map_username(189)
  Mapped user DAVE to dave
[2008/09/27 11:11:35, 10, pid=12504] smbd/password.c:user_in_list(504)
  user_in_list: checking user dave in list
[2008/09/27 11:11:35, 10, pid=12504] smbd/password.c:user_in_list(509)
  user_in_list: checking user |dave| against |Guest|
[2008/09/27 11:11:35, 10, pid=12504] smbd/password.c:user_in_list(509)
  user_in_list: checking user |dave| against |pcguest|
[2008/09/27 11:11:35, 10, pid=12504] smbd/password.c:user_in_list(509)
  user_in_list: checking user |dave| against |smbguest|
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth_util.c:make_user_info_map(206)
  make_user_info_map: Mapping user [WEEBLES]\[DAVE] from workstation [impala]
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth_util.c:make_user_info(120)
  attempting to make a user_info for dave (DAVE)
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth_util.c:make_user_info(130)
  making strings for dave's user_info struct
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth_util.c:make_user_info(162)
  making blobs for dave's user_info struct
[2008/09/27 11:11:35, 10, pid=12504, class=auth] auth/auth_util.c:make_user_info(180)
  made an encrypted user_info for dave (DAVE)
[2008/09/27 11:11:35,  3, pid=12504, class=auth] auth/auth.c:check_ntlm_password(220)
  check_ntlm_password:  Checking password for unmapped user [WEEBLES]\[DAVE]@[impala] with the new password interface
[2008/09/27 11:11:35,  3, pid=12504, class=auth] auth/auth.c:check_ntlm_password(223)
  check_ntlm_password:  mapped user is: [WOOLWINDER]\[dave]@[impala]
[2008/09/27 11:11:35, 10, pid=12504, class=auth] auth/auth.c:check_ntlm_password(232)
  check_ntlm_password: auth_context challenge created by random
[2008/09/27 11:11:35, 10, pid=12504, class=auth] auth/auth.c:check_ntlm_password(234)
  challenge is: 
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:dump_data(2223)
  [000] 93 2B 50 CD 42 BC 4F BB                           .+P.B.O. 
[2008/09/27 11:11:35, 10, pid=12504, class=auth] auth/auth.c:check_ntlm_password(260)
  check_ntlm_password: guest had nothing to say
[2008/09/27 11:11:35,  8, pid=12504] lib/util.c:is_myname(2098)
  is_myname("WOOLWINDER") returns 1
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:push_sec_ctx(224)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2008/09/27 11:11:35,  3, pid=12504] smbd/uid.c:push_conn_ctx(357)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:set_sec_ctx(324)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_nt_user_token(464)
  NT user token: (NULL)
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_unix_user_token(490)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:smbpasswd_getsampwnam(1283)
  getsampwnam (smbpasswd): search by name: dave
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:startsmbfilepwent(229)
  startsmbfilepwent_internal: opening file /usr/local/samba/private/smbpasswd
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:getsmbfilepwent(501)
  getsmbfilepwent: LM password for user root invalidated
[2008/09/27 11:11:35,  5, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:getsmbfilepwent(527)
  getsmbfilepwent: returning passwd entry for user root, uid 0
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:getsmbfilepwent(501)
  getsmbfilepwent: LM password for user dave invalidated
[2008/09/27 11:11:35,  5, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:getsmbfilepwent(527)
  getsmbfilepwent: returning passwd entry for user dave, uid 1000
[2008/09/27 11:11:35,  7, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:endsmbfilepwent(346)
  endsmbfilepwent_internal: closed password file.
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:smbpasswd_getsampwnam(1305)
  getsampwnam (smbpasswd): found by name: dave
[2008/09/27 11:11:35,  5, pid=12504] lib/username.c:Get_Pwnam_alloc(133)
  Finding user dave
[2008/09/27 11:11:35,  5, pid=12504] lib/username.c:Get_Pwnam_internals(77)
  Trying _Get_Pwnam(), username as lowercase is dave
[2008/09/27 11:11:35,  5, pid=12504] lib/username.c:Get_Pwnam_internals(110)
  Get_Pwnam_internals did find user [dave]!
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_username(580)
  pdb_set_username: setting username dave, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_fullname(649)
  pdb_set_full_name: setting full name David F. Symes, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_domain(603)
  pdb_set_domain: setting domain WOOLWINDER, was 
[2008/09/27 11:11:35,  4, pid=12504] lib/substitute.c:automount_server(500)
  Home server: woolwinder
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_profile_path(695)
  pdb_set_profile_path: setting profile path \\woolwinder\dave\profile, was 
[2008/09/27 11:11:35,  4, pid=12504] lib/substitute.c:automount_server(500)
  Home server: woolwinder
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_homedir(742)
  pdb_set_homedir: setting home dir \\woolwinder\dave, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_dir_drive(718)
  pdb_set_dir_drive: setting dir drive , was NULL
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_logon_script(672)
  pdb_set_logon_script: setting logon script , was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_user_sid(509)
  pdb_set_user_sid: setting user sid S-1-5-21-426369169-365406950-1263916381-3000
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_compat.c:pdb_set_user_sid_from_rid(72)
  pdb_set_user_sid_from_rid:
  	setting user sid S-1-5-21-426369169-365406950-1263916381-3000 from rid 3000
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:push_sec_ctx(224)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2008/09/27 11:11:35,  3, pid=12504] smbd/uid.c:push_conn_ctx(357)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:set_sec_ctx(324)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_nt_user_token(464)
  NT user token: (NULL)
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_unix_user_token(490)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2008/09/27 11:11:35, 10, pid=12504] lib/account_pol.c:account_policy_get(332)
  account_policy_get: name: maximum password age, val: -1
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:pop_sec_ctx(432)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:push_sec_ctx(224)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2008/09/27 11:11:35,  3, pid=12504] smbd/uid.c:push_conn_ctx(357)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:set_sec_ctx(324)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_nt_user_token(464)
  NT user token: (NULL)
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_unix_user_token(490)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2008/09/27 11:11:35, 10, pid=12504] lib/account_pol.c:account_policy_get(332)
  account_policy_get: name: password history, val: 0
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:pop_sec_ctx(432)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_username(580)
  pdb_set_username: setting username dave, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_domain(603)
  pdb_set_domain: setting domain WOOLWINDER, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_nt_username(626)
  pdb_set_nt_username: setting nt username , was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_fullname(649)
  pdb_set_full_name: setting full name David F. Symes, was 
[2008/09/27 11:11:35,  4, pid=12504] lib/substitute.c:automount_server(500)
  Home server: woolwinder
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_homedir(742)
  pdb_set_homedir: setting home dir \\woolwinder\dave, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_dir_drive(718)
  pdb_set_dir_drive: setting dir drive , was NULL
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_logon_script(672)
  pdb_set_logon_script: setting logon script , was 
[2008/09/27 11:11:35,  4, pid=12504] lib/substitute.c:automount_server(500)
  Home server: woolwinder
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_profile_path(695)
  pdb_set_profile_path: setting profile path \\woolwinder\dave\profile, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_workstations(785)
  pdb_set_workstations: setting workstations , was 
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:push_sec_ctx(224)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2008/09/27 11:11:35,  3, pid=12504] smbd/uid.c:push_conn_ctx(357)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:set_sec_ctx(324)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_nt_user_token(464)
  NT user token: (NULL)
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_unix_user_token(490)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2008/09/27 11:11:35, 10, pid=12504] lib/account_pol.c:account_policy_get(332)
  account_policy_get: name: password history, val: 0
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:pop_sec_ctx(432)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_user_sid(509)
  pdb_set_user_sid: setting user sid S-1-5-21-426369169-365406950-1263916381-3000
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_compat.c:pdb_set_user_sid_from_rid(72)
  pdb_set_user_sid_from_rid:
  	setting user sid S-1-5-21-426369169-365406950-1263916381-3000 from rid 3000
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:pop_sec_ctx(432)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2008/09/27 11:11:35,  9, pid=12504, class=passdb] passdb/passdb.c:pdb_update_autolock_flag(1417)
  pdb_update_autolock_flag: Account dave not autolocked, no check needed
[2008/09/27 11:11:35,  3, pid=12504, class=auth] libsmb/ntlm_check.c:ntlm_password_check(370)
  ntlm_password_check: Lanman passwords NOT PERMITTED for user dave
[2008/09/27 11:11:35,  4, pid=12504, class=auth] libsmb/ntlm_check.c:ntlm_password_check(401)
  ntlm_password_check: Checking LMv2 password with domain WEEBLES
[2008/09/27 11:11:35,  4, pid=12504, class=auth] libsmb/ntlm_check.c:ntlm_password_check(411)
  ntlm_password_check: Checking LMv2 password with upper-cased version of domain WEEBLES
[2008/09/27 11:11:35,  4, pid=12504, class=auth] libsmb/ntlm_check.c:ntlm_password_check(421)
  ntlm_password_check: Checking LMv2 password without a domain
[2008/09/27 11:11:35,  4, pid=12504, class=auth] libsmb/ntlm_check.c:ntlm_password_check(434)
  ntlm_password_check: Checking NT MD4 password in LM field
[2008/09/27 11:11:35,  3, pid=12504, class=auth] libsmb/ntlm_check.c:ntlm_password_check(457)
  ntlm_password_check: LM password, NT MD4 password in LM field and LMv2 failed for user dave
[2008/09/27 11:11:35,  9, pid=12504, class=passdb] passdb/passdb.c:pdb_update_bad_password_count(1372)
  No bad password attempts.
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:check_ntlm_password(272)
  check_ntlm_password: sam authentication for user [DAVE] FAILED with error NT_STATUS_WRONG_PASSWORD
[2008/09/27 11:11:35,  2, pid=12504, class=auth] auth/auth.c:check_ntlm_password(318)
  check_ntlm_password:  Authentication for user [DAVE] -> [dave] FAILED with error NT_STATUS_WRONG_PASSWORD
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth_util.c:free_user_info(1985)
  attempting to free (and zero) a user_info structure
[2008/09/27 11:11:35, 10, pid=12504, class=auth] auth/auth_util.c:free_user_info(1989)
  structure was created for DAVE
[2008/09/27 11:11:35,  3, pid=12504] smbd/error.c:error_packet_set(80)
  error packet at smbd/sesssetup.c(1725) cmd=115 (SMBsesssetupX) eclass=1 ecode=5
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:show_msg(642)
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:show_msg(652)
  size=35
  smb_com=0x73
  smb_rcls=1
  smb_reh=0
  smb_err=5
  smb_flg=128
  smb_flg2=1
  smb_tid=0
  smb_pid=7617
  smb_uid=1
  smb_mid=3969
  smt_wct=0
  smb_bcc=0
[2008/09/27 11:11:35, 10, pid=12504] lib/util_sock.c:read_smb_length_return_keepalive(1118)
  got smb length of 156
[2008/09/27 11:11:35,  6, pid=12504] smbd/process.c:process_smb(1546)
  got message type 0x0 of len 0x9c
[2008/09/27 11:11:35,  3, pid=12504] smbd/process.c:process_smb(1549)
  Transaction 2 of length 160 (0 toread)
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:show_msg(642)
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:show_msg(652)
  size=156
  smb_com=0x73
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=16
  smb_flg2=0
  smb_tid=65535
  smb_pid=7617
  smb_uid=1
  smb_mid=4097
  smt_wct=13
  smb_vwv[ 0]=  117 (0x75)
  smb_vwv[ 1]=  122 (0x7A)
  smb_vwv[ 2]= 2920 (0xB68)
  smb_vwv[ 3]=   50 (0x32)
  smb_vwv[ 4]=    0 (0x0)
  smb_vwv[ 5]=12504 (0x30D8)
  smb_vwv[ 6]=    0 (0x0)
  smb_vwv[ 7]=   24 (0x18)
  smb_vwv[ 8]=    0 (0x0)
  smb_vwv[ 9]=    0 (0x0)
  smb_vwv[10]=    0 (0x0)
  smb_vwv[11]=    5 (0x5)
  smb_vwv[12]=    0 (0x0)
  smb_bcc=61
[2008/09/27 11:11:35, 10, pid=12504] lib/util.c:dump_data(2223)
  [000] DE B3 C8 EC 76 50 13 4D  1A 87 D4 20 58 D9 4D 04  ....vP.M ... X.M.
  [010] 82 3E D0 88 3C ED 0C 34  44 41 56 45 00 57 45 45  .>..<..4 DAVE.WEE
  [020] 42 4C 45 53 00 57 69 6E  64 6F 77 73 20 34 2E 30  BLES.Win dows 4.0
  [030] 00 57 69 6E 64 6F 77 73  20 34 2E 30 00           .Windows  4.0.
[2008/09/27 11:11:35,  3, pid=12504] smbd/process.c:switch_message(1361)
  switch message SMBsesssetupX (pid 12504) conn 0x0
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:set_sec_ctx(324)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_nt_user_token(464)
  NT user token: (NULL)
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_unix_user_token(490)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2008/09/27 11:11:35,  5, pid=12504] smbd/uid.c:change_to_root_user(287)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2008/09/27 11:11:35,  3, pid=12504] smbd/sesssetup.c:reply_sesssetup_and_X(1409)
  wct=13 flg2=0x0
[2008/09/27 11:11:35,  3, pid=12504] smbd/sesssetup.c:reply_sesssetup_and_X(1608)
  Domain=[WEEBLES]  NativeOS=[Windows 4.0] NativeLanMan=[Windows 4.0] PrimaryDomain=[null]
[2008/09/27 11:11:35,  2, pid=12504] smbd/sesssetup.c:setup_new_vc_session(1363)
  setup_new_vc_session: New VC == 0, if NT4.x compatible we would close all old resources.
[2008/09/27 11:11:35,  3, pid=12504] smbd/sesssetup.c:reply_sesssetup_and_X(1624)
  sesssetupX:name=[WEEBLES]\[DAVE]@[impala]
[2008/09/27 11:11:35,  6, pid=12504] param/loadparm.c:lp_file_list_changed(6700)
  lp_file_list_changed()
  file /etc/samba/smb.conf -> /etc/samba/smb.conf  last mod_time: Sat Sep 27 11:09:27 2008
  
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth_util.c:make_user_info_map(206)
  make_user_info_map: Mapping user [WEEBLES]\[DAVE] from workstation [impala]
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth_util.c:make_user_info(120)
  attempting to make a user_info for DAVE (DAVE)
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth_util.c:make_user_info(130)
  making strings for DAVE's user_info struct
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth_util.c:make_user_info(162)
  making blobs for DAVE's user_info struct
[2008/09/27 11:11:35, 10, pid=12504, class=auth] auth/auth_util.c:make_user_info(180)
  made an encrypted user_info for DAVE (DAVE)
[2008/09/27 11:11:35,  3, pid=12504, class=auth] auth/auth.c:check_ntlm_password(220)
  check_ntlm_password:  Checking password for unmapped user [WEEBLES]\[DAVE]@[impala] with the new password interface
[2008/09/27 11:11:35,  3, pid=12504, class=auth] auth/auth.c:check_ntlm_password(223)
  check_ntlm_password:  mapped user is: [WOOLWINDER]\[DAVE]@[impala]
[2008/09/27 11:11:35, 10, pid=12504, class=auth] auth/auth.c:check_ntlm_password(232)
  check_ntlm_password: auth_context challenge created by random
[2008/09/27 11:11:35, 10, pid=12504, class=auth] auth/auth.c:check_ntlm_password(234)
  challenge is: 
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:dump_data(2223)
  [000] 93 2B 50 CD 42 BC 4F BB                           .+P.B.O. 
[2008/09/27 11:11:35, 10, pid=12504, class=auth] auth/auth.c:check_ntlm_password(260)
  check_ntlm_password: guest had nothing to say
[2008/09/27 11:11:35,  8, pid=12504] lib/util.c:is_myname(2098)
  is_myname("WOOLWINDER") returns 1
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:push_sec_ctx(224)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2008/09/27 11:11:35,  3, pid=12504] smbd/uid.c:push_conn_ctx(357)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:set_sec_ctx(324)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_nt_user_token(464)
  NT user token: (NULL)
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_unix_user_token(490)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:smbpasswd_getsampwnam(1283)
  getsampwnam (smbpasswd): search by name: DAVE
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:startsmbfilepwent(229)
  startsmbfilepwent_internal: opening file /usr/local/samba/private/smbpasswd
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:getsmbfilepwent(501)
  getsmbfilepwent: LM password for user root invalidated
[2008/09/27 11:11:35,  5, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:getsmbfilepwent(527)
  getsmbfilepwent: returning passwd entry for user root, uid 0
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:getsmbfilepwent(501)
  getsmbfilepwent: LM password for user dave invalidated
[2008/09/27 11:11:35,  5, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:getsmbfilepwent(527)
  getsmbfilepwent: returning passwd entry for user dave, uid 1000
[2008/09/27 11:11:35,  7, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:endsmbfilepwent(346)
  endsmbfilepwent_internal: closed password file.
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_smbpasswd.c:smbpasswd_getsampwnam(1305)
  getsampwnam (smbpasswd): found by name: dave
[2008/09/27 11:11:35,  5, pid=12504] lib/username.c:Get_Pwnam_alloc(133)
  Finding user dave
[2008/09/27 11:11:35,  5, pid=12504] lib/username.c:Get_Pwnam_internals(77)
  Trying _Get_Pwnam(), username as lowercase is dave
[2008/09/27 11:11:35,  5, pid=12504] lib/username.c:Get_Pwnam_internals(110)
  Get_Pwnam_internals did find user [dave]!
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_username(580)
  pdb_set_username: setting username dave, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_fullname(649)
  pdb_set_full_name: setting full name David F. Symes, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_domain(603)
  pdb_set_domain: setting domain WOOLWINDER, was 
[2008/09/27 11:11:35,  4, pid=12504] lib/substitute.c:automount_server(500)
  Home server: woolwinder
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_profile_path(695)
  pdb_set_profile_path: setting profile path \\woolwinder\dave\profile, was 
[2008/09/27 11:11:35,  4, pid=12504] lib/substitute.c:automount_server(500)
  Home server: woolwinder
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_homedir(742)
  pdb_set_homedir: setting home dir \\woolwinder\dave, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_dir_drive(718)
  pdb_set_dir_drive: setting dir drive , was NULL
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_logon_script(672)
  pdb_set_logon_script: setting logon script , was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_user_sid(509)
  pdb_set_user_sid: setting user sid S-1-5-21-426369169-365406950-1263916381-3000
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_compat.c:pdb_set_user_sid_from_rid(72)
  pdb_set_user_sid_from_rid:
  	setting user sid S-1-5-21-426369169-365406950-1263916381-3000 from rid 3000
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:push_sec_ctx(224)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2008/09/27 11:11:35,  3, pid=12504] smbd/uid.c:push_conn_ctx(357)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:set_sec_ctx(324)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_nt_user_token(464)
  NT user token: (NULL)
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_unix_user_token(490)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2008/09/27 11:11:35, 10, pid=12504] lib/account_pol.c:account_policy_get(332)
  account_policy_get: name: maximum password age, val: -1
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:pop_sec_ctx(432)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:push_sec_ctx(224)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2008/09/27 11:11:35,  3, pid=12504] smbd/uid.c:push_conn_ctx(357)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:set_sec_ctx(324)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_nt_user_token(464)
  NT user token: (NULL)
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_unix_user_token(490)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2008/09/27 11:11:35, 10, pid=12504] lib/account_pol.c:account_policy_get(332)
  account_policy_get: name: password history, val: 0
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:pop_sec_ctx(432)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_username(580)
  pdb_set_username: setting username dave, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_domain(603)
  pdb_set_domain: setting domain WOOLWINDER, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_nt_username(626)
  pdb_set_nt_username: setting nt username , was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_fullname(649)
  pdb_set_full_name: setting full name David F. Symes, was 
[2008/09/27 11:11:35,  4, pid=12504] lib/substitute.c:automount_server(500)
  Home server: woolwinder
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_homedir(742)
  pdb_set_homedir: setting home dir \\woolwinder\dave, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_dir_drive(718)
  pdb_set_dir_drive: setting dir drive , was NULL
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_logon_script(672)
  pdb_set_logon_script: setting logon script , was 
[2008/09/27 11:11:35,  4, pid=12504] lib/substitute.c:automount_server(500)
  Home server: woolwinder
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_profile_path(695)
  pdb_set_profile_path: setting profile path \\woolwinder\dave\profile, was 
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_workstations(785)
  pdb_set_workstations: setting workstations , was 
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:push_sec_ctx(224)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 2
[2008/09/27 11:11:35,  3, pid=12504] smbd/uid.c:push_conn_ctx(357)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 1
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:set_sec_ctx(324)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 2
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_nt_user_token(464)
  NT user token: (NULL)
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_unix_user_token(490)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2008/09/27 11:11:35, 10, pid=12504] lib/account_pol.c:account_policy_get(332)
  account_policy_get: name: password history, val: 0
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:pop_sec_ctx(432)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 1
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_get_set.c:pdb_set_user_sid(509)
  pdb_set_user_sid: setting user sid S-1-5-21-426369169-365406950-1263916381-3000
[2008/09/27 11:11:35, 10, pid=12504, class=passdb] passdb/pdb_compat.c:pdb_set_user_sid_from_rid(72)
  pdb_set_user_sid_from_rid:
  	setting user sid S-1-5-21-426369169-365406950-1263916381-3000 from rid 3000
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:pop_sec_ctx(432)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2008/09/27 11:11:35,  9, pid=12504, class=passdb] passdb/passdb.c:pdb_update_autolock_flag(1417)
  pdb_update_autolock_flag: Account dave not autolocked, no check needed
[2008/09/27 11:11:35,  3, pid=12504, class=auth] libsmb/ntlm_check.c:ntlm_password_check(370)
  ntlm_password_check: Lanman passwords NOT PERMITTED for user dave
[2008/09/27 11:11:35,  4, pid=12504, class=auth] libsmb/ntlm_check.c:ntlm_password_check(401)
  ntlm_password_check: Checking LMv2 password with domain WEEBLES
[2008/09/27 11:11:35,  4, pid=12504, class=auth] libsmb/ntlm_check.c:ntlm_password_check(411)
  ntlm_password_check: Checking LMv2 password with upper-cased version of domain WEEBLES
[2008/09/27 11:11:35,  4, pid=12504, class=auth] libsmb/ntlm_check.c:ntlm_password_check(421)
  ntlm_password_check: Checking LMv2 password without a domain
[2008/09/27 11:11:35,  4, pid=12504, class=auth] libsmb/ntlm_check.c:ntlm_password_check(434)
  ntlm_password_check: Checking NT MD4 password in LM field
[2008/09/27 11:11:35,  3, pid=12504, class=auth] libsmb/ntlm_check.c:ntlm_password_check(457)
  ntlm_password_check: LM password, NT MD4 password in LM field and LMv2 failed for user dave
[2008/09/27 11:11:35,  9, pid=12504, class=passdb] passdb/passdb.c:pdb_update_bad_password_count(1372)
  No bad password attempts.
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth.c:check_ntlm_password(272)
  check_ntlm_password: sam authentication for user [DAVE] FAILED with error NT_STATUS_WRONG_PASSWORD
[2008/09/27 11:11:35,  2, pid=12504, class=auth] auth/auth.c:check_ntlm_password(318)
  check_ntlm_password:  Authentication for user [DAVE] -> [DAVE] FAILED with error NT_STATUS_WRONG_PASSWORD
[2008/09/27 11:11:35,  5, pid=12504, class=auth] auth/auth_util.c:free_user_info(1985)
  attempting to free (and zero) a user_info structure
[2008/09/27 11:11:35, 10, pid=12504, class=auth] auth/auth_util.c:free_user_info(1989)
  structure was created for DAVE
[2008/09/27 11:11:35,  3, pid=12504] smbd/error.c:error_packet_set(80)
  error packet at smbd/sesssetup.c(1725) cmd=115 (SMBsesssetupX) eclass=1 ecode=5
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:show_msg(642)
[2008/09/27 11:11:35,  5, pid=12504] lib/util.c:show_msg(652)
  size=35
  smb_com=0x73
  smb_rcls=1
  smb_reh=0
  smb_err=5
  smb_flg=128
  smb_flg2=1
  smb_tid=65535
  smb_pid=7617
  smb_uid=1
  smb_mid=4097
  smt_wct=0
  smb_bcc=0
[2008/09/27 11:11:35,  5, pid=12504] lib/util_sock.c:read_socket_with_timeout(928)
  read_socket_with_timeout: blocking read. EOF from client.
[2008/09/27 11:11:35, 10, pid=12504] smbd/process.c:receive_smb_raw_talloc(276)
  receive_smb_raw: NT_STATUS_END_OF_FILE
[2008/09/27 11:11:35,  3, pid=12504] smbd/process.c:smbd_process(2035)
  receive_message_or_smb failed: NT_STATUS_END_OF_FILE, exiting
[2008/09/27 11:11:35,  5, pid=12504, class=tdb] lib/gencache.c:gencache_shutdown(93)
  Closing cache file
[2008/09/27 11:11:35,  5, pid=12504] libsmb/namecache.c:namecache_shutdown(81)
  namecache_shutdown: netbios namecache closed successfully.
[2008/09/27 11:11:35,  3, pid=12504] smbd/sec_ctx.c:set_sec_ctx(324)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_nt_user_token(464)
  NT user token: (NULL)
[2008/09/27 11:11:35,  5, pid=12504] auth/token_util.c:debug_unix_user_token(490)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2008/09/27 11:11:35,  5, pid=12504] smbd/uid.c:change_to_root_user(287)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2008/09/27 11:11:35,  3, pid=12504] smbd/connection.c:yield_connection(31)
  Yielding connection to 
[2008/09/27 11:11:35, 10, pid=12504] lib/dbwrap_tdb.c:db_tdb_fetch_locked(100)
  Locking key D8300000FFFFFFFF0000
[2008/09/27 11:11:35, 10, pid=12504] lib/dbwrap_tdb.c:db_tdb_fetch_locked(129)
  Allocated locked data 0x0xb7fb34c8
[2008/09/27 11:11:35, 10, pid=12504] lib/dbwrap_tdb.c:db_tdb_record_destr(42)
  Unlocking key D8300000FFFFFFFF0000
[2008/09/27 11:11:35,  3, pid=12504] smbd/server.c:exit_server_common(945)
  Server exit (normal exit)
(End of debug information)

Start of smb.conf:
# smb.conf is the main Samba configuration file. You find a full commented
# version at /usr/share/doc/packages/samba/examples/smb.conf.SUSE if the
# samba-doc package is installed.
# Date: 2008-06-06
[global]
	workgroup = WEEBLES
	server string = WOOLWINDER
	netbios name = WOOLWINDER
	interfaces = 127.0.0.1, eth0
	bind interfaces only = yes
	smb ports = 139
	hosts allow = 192.168.2., 127.
	name resolve order = lmhosts host bcast
	local master = yes
	preferred master = no
	domain master = false
	domain logons = no
	os level = 35
	browse list = yes
	lm announce = auto
	lm interval = 180
	ldap suffix = dc=example,dc=com
	load printers = yes
	printing = cups
	printcap name = cups
	printcap cache time = 750
;	cups options = raw
	username map = /etc/samba/smbusers
	encrypt passwords = yes
	passdb backend = smbpasswd
	security = user
	map to guest = Bad User
	client lanman auth = yes
;	log file = /var/log/samba/log
;	log level = 10
;	debug class = yes
;	debug pid = yes
;	include = /etc/samba/dhcp.conf
;	logon path = \\%L\profiles\.msprofile
;	logon home = \\%L\%U\.9xprofile
;	logon drive = P:
;	usershare allow guests = Yes

[homes]
	comment = Home Directories
	valid users = %S, %D%w%S
	browseable = yes
	read only = yes
;	inherit acls = Yes
	printable = no
	guest ok = yes

;[profiles]
;	comment = Network Profiles Service
;	path = %H
;	read only = No
;	store dos attributes = Yes
;	create mask = 0600
;	directory mask = 0700

[users]
	comment = All users
	path = /home
	read only = yes
	inherit acls = Yes
	veto files = /aquota.user/groups/shares/
	browseable = yes
	read only = yes
	guest ok = yes
	printable = no

;[groups]
;	comment = All groups
;	path = /home/groups
;	read only = No
;	inherit acls = Yes

[printers]
	comment = All Printers
	path = /var/tmp
	printable = Yes
	create mask = 0600
	browseable = yes
	guest ok = yes

[print$]
	comment = Printer Drivers
	path = /var/lib/samba/drivers
	read only = yes
	write list = @ntadmin root
	force group = ntadmin
	create mask = 0664
	directory mask = 0775
	guest ok = yes
	printable = no
	browseable = yes
(End of smb.conf file)
Comment 4 Jeremy Allison 2008-09-29 18:36:07 UTC
Ah, I think I see the problem. You are setting "client lanman auth = yes". This only affects client connections *from* Samba tools to other servers, not connections to Samba from clients. The parameter you need to set is :

"lanman auth = yes"

to change the server behavior.

Jeremy.
Comment 5 David F. Symes 2008-09-30 04:43:11 UTC
Jeremy:

Many thanks for that. After having added "lanman auth = yes" to the smb.conf file, restarting the system and regenerating the smbpasswd file under the new setup, access from MS Windows 95 is now fine. This was the major problem.

Whether or not the debug message is still produced when connecting from samba _to_ Win95, I do not know - in my haste, I forgot to check that. I will now do so and if that has also disappeared, I guess the whole issue is resolved.
Comment 6 David F. Symes 2008-09-30 04:57:20 UTC
Having now checked the behaviour of smbclient under the new settings, I can confirm that the debug message is still produced; however, this does not appear to compromise in any way the ability to browse and access the remote Win95 machine.

Accordingly, I have reset the priority of (what remains of) this bug to "trivial." If the proper protocol would be to close this one and raise another with just the debug message in it, please advise to this effect.

Many thanks.
Comment 7 Jeremy Allison 2008-09-30 11:51:47 UTC
Please open a different bug for this issue.
Jeremy.